<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:output method="html"/>

	<xsl:template match="/">
		
			<xsl:apply-templates/>
		
	</xsl:template>
	
	<xsl:template match="services">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="service">
	
		<table width="100%">
			<tr>
				<td bgcolor="lightblue">
					<b><xsl:value-of select="@name" /></b>
					<!-- [id <xsl:value-of select="@id" />] [ts <xsl:value-of select="@tsid" />] -->
					[<xsl:value-of select="@sdttype" /> / <xsl:value-of select="@access" />]
				</td>
			</tr>
			
			<xsl:apply-templates/>
			
		</table>
	
		
	</xsl:template>

	<xsl:template match="scheduleitem">
		<tr>
			<td bgcolor="#e0e0e0">
				<p>
					<b><xsl:value-of select="title" /></b>
					[<xsl:value-of select="@startTime" /> - <xsl:value-of select="@endTime" />]
					<br />
					<xsl:value-of select="description" />
				</p>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet>