
Function TansformXMLWithXSL (sInputXMLPath, sInputXSLTPath )
	Dim source
	Dim stylesheet
	Dim myErr
	Dim sBadXMLHeader
	Dim objArgs
	Dim sXMLContents
		
	Set source = CreateObject ( "MSXML.DOMDocument" )
	Set stylesheet = CreateObject ( "MSXML.DOMDocument" )
	
	sBadXMLHeader = "<?xml version=""1.0"" encoding=""UTF-16""?>"
	
	sXMLContents = ""
	
	' Load data.
	source.async = False
	source.Load (sInputXMLPath)
	If (source.parseError.errorCode <> 0) Then
	   Set myErr = source.parseError
	   document.write ("Error loading XML file " & sInputXMLPath & ":" & myErr.reason)
	Else
	   ' Load style sheet.
	   stylesheet.async = False
	   stylesheet.Load (sInputXSLTPath)
	   If (stylesheet.parseError.errorCode <> 0) Then      
		  Set myErr = stylesheet.parseError
		  document.write ("Error loading XSLT file " & sInputXSLTPath & ":" & myErr.reason)
	   Else
		  ' Do the transform.
		  Dim fso, ts
		  Const ForWriting = 2
		  
		  sXMLContents = replace ( source.transformNode(stylesheet), sBadXMLHeader, "")
		  		  
		  
	   End If
	End If
	
	TansformXMLWithXSL = sXMLContents
	
End Function


